﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="TimeZone.aspx.vb" Inherits="TimeZone_VB_.TimeZone" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="clock.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <%  
		'Retrieve visitor's IP address
		Dim ip_addr As String
        ip_addr = Request.ServerVariables("HTTP_X_FORWARDED_FOR")
        If ip_addr = "" Or ip_addr Is Nothing Then
            ip_addr = Request.ServerVariables("REMOTE_ADDR")
        End If
		
		'Converting IP address to IP number
        Dim ip_number As Long
        ip_number = ip_to_number(ip_addr)
        
		'Setting the SQL query string
		Dim query As String
        query = "SELECT time_zone, country_code FROM db11lite WHERE " & ip_number & ">= ip_from AND " & ip_number & " <= ip_to"
        
		'Retrieve data from MySQL Database using the SQL query
		Dim data As String
        data = Get_Data(query)
		
		'Splitting the data string retrieved into time_zone and country_code
        Dim data_split() As String
        data_split = Split(data, ",")
        Dim time_zone As String
        time_zone = data_split(0)
        Dim country_code As String
        country_code = data_split(1)
		
		'Retrieve UTC hour value and assigning UTC time and adding 0 in front of minute if less than 10
        Dim utc_time As String
        If TimeOfDay.Minute < 10 Then
            utc_time = utc_hour() & ":0" & TimeOfDay.Minute
        Else
            utc_time = utc_hour() & ":" & TimeOfDay.Minute
        End If
        
		'Retrieve client hour and assign client time and adding 0 in front of minute if less than 10
        Dim client_time As String
        If time_zone.Equals("-") Then
            client_time = utc_time
        Else
            If TimeOfDay.Minute < 10 Then
                client_time = client_hour(time_zone) & ":0" & TimeOfDay.Minute
            Else
                client_time = client_hour(time_zone) & ":" & TimeOfDay.Minute
            End If           
        End If
        
		'Assigning server time and adding 0 in front of minute if less than 10
        Dim server_time As String
        If TimeOfDay.Minute < 10 Then
            server_time = TimeOfDay.Hour & ":0" & TimeOfDay.Minute
        Else
            server_time = TimeOfDay.Hour & ":" & TimeOfDay.Minute
        End If
        %>
    </div>

	<p>Country Code: <%Response.Write(country_code) %></p>
    <p>Time Zone: <%Response.Write(time_zone)%></p>
    <p>UTC Time: <%Response.Write(utc_time)%></p>
    <p>Server Time: <%Response.Write(server_time)%></p>
    <p>Client Time: <%Response.Write(client_time)%></p>
    </form>
</body>
</html>
