﻿Imports MySql.Data.MySqlClient

Public Class TimeZone
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub
	
	'Function to link MySQL Database and retrieve data from database
    Protected Function Get_Data(ByVal query As String)
        Dim result As String
        result = ""
		'Database connection string, replace lower case with actual MySQL configuration
        Using Con As New MySqlConnection("Database=database;Server=server;User ID=username;Password=password;ignore prepare=false")
            Con.Open()
            Using Com As New MySqlCommand(query, Con)
                Com.CommandType = Data.CommandType.Text
                Using RDR = Com.ExecuteReader()
                    If RDR.HasRows Then
                        RDR.Read()
						'Assigning data retrieve from table into a string
                        result = RDR.Item("time_zone").ToString() & "," & RDR.Item("country_code")
                    End If
                End Using
            End Using
        End Using
        Return result
    End Function

	'Function to convert IP address to IP number
    Protected Function ip_to_number(ByVal ip_addr As String)
        Dim ip_block() As String
        Dim ip_num As Long

        ip_block = Split(ip_addr, ".")
        ip_num = (ip_block(0) * (256 ^ 3)) + (ip_block(1) * (256 ^ 2)) + (ip_block(2) * 256) + ip_block(3)

        Return ip_num
    End Function

	'Function to retrieve UTC hour value
    Protected Function utc_hour()
        Dim utc_h As Integer
        utc_h = TimeOfDay.Hour - 8
        Return utc_h
    End Function

	'Function to retrieve Client hour value
    Protected Function client_hour(ByVal time_zone As String)
        Dim utc_h As Integer
        utc_h = utc_hour()
        Dim time() As String
        time = Split(time_zone, ":")
        Dim client_h As Integer
        client_h = utc_h + time(0)

        If client_h >= 24 Then
            client_h = client_h - 24
        ElseIf client_h < 0 Then
            client_h = client_h + 24
        End If

        Return client_h
    End Function

End Class